devel/p5-Test-Warnings - The NetBSD Packages Collection

Test for warnings and the lack of them

This module is intended to be used as a drop-in replacement for
Test::NoWarnings: it also adds an extra test, but runs this test
before done_testing calculates the test count, rather than after.
It does this by hooking into done_testing as well as via an END
block. You can declare a plan, or not, and things will still Just
Work.

Build dependencies

devel/p5-CPAN-Meta-Check pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Test-Warnings-0.030nb2.tgz
NetBSD 8.0earmv7hfp5-Test-Warnings-0.030nb2.tgz
NetBSD 8.0earmv7hfp5-Test-Warnings-0.030nb2.tgz
NetBSD 8.0i386p5-Test-Warnings-0.030nb2.tgz
NetBSD 8.0i386p5-Test-Warnings-0.030nb2.tgz
NetBSD 8.0i386p5-Test-Warnings-0.030nb2.tgz
NetBSD 8.0powerpcp5-Test-Warnings-0.030nb2.tgz
NetBSD 8.0powerpcp5-Test-Warnings-0.030nb2.tgz
NetBSD 8.0powerpcp5-Test-Warnings-0.030nb2.tgz
NetBSD 8.0x86_64p5-Test-Warnings-0.030nb2.tgz
NetBSD 8.0x86_64p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0aarch64p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0aarch64p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0aarch64p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0alphap5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0alphap5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0alphap5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0earmp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0earmp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0earmp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0earmv6hfp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0earmv6hfp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0earmv6hfp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0earmv6hfp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0earmv7hfp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0earmv7hfp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0earmv7hfp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0earmv7hfp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0i386p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0i386p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0m68kp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0m68kp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0m68kp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0mips64ebp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0mips64ebp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0mips64ebp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0mipselp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0mipselp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0powerpcp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0powerpcp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0sh3elp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0sh3elp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0sh3elp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0sparc64p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0sparc64p5-Test-Warnings-0.028.tgz
NetBSD 9.0sparc64p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0sparc64p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0sparcp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0sparcp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0sparcp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0vaxp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0vaxp5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0x86_64p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0x86_64p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0x86_64p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0x86_64p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0x86_64p5-Test-Warnings-0.030nb2.tgz
NetBSD 9.0x86_64p5-Test-Warnings-0.030nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.